15 posts / 0 new / Last post
#1  December 12, 2012 - 6:42pm
m.m.8607's picture
Offline
Joined: Sep 2011
Posts: 101
Kudos: 0

hi,

 

today, i had to re-jailbreak my atv2 and wanted to install the aTV Flash (black) software, which i purchased the last year.

 

unfortunately, the installation process told me, that the version of aTV Flash (black), which i have on my HDD (dated 31.05.12 21:29 / 16.11.12 19:27) is outdated and i need to download a newer version from the fc-website.

unfortunately again, the fc-website showes, "Your aTV Flash (black) license has expired.", but also "Good news! You're eligible for special upgrade pricing — Lifetime aTV Flash (black) updates for only 29.99!"

 

 

now i have some questions:

 

1)

ihmo, i purchased a licence to a software which is not available for download anymore and the software on my HDD is not able to install anymore.

how can i install what i have paid for? Smile

 

2)

does anybody know (of have a link, because i did not find any further information), if the "Lifetime aTV Flash (black) updates" will be usable for atv3 ?

i guess, the licence will not be valid for the upcoming appleTV, and the term "Lifetime" will last no longer than the next year, but who knows...

 

 

  December 15, 2012 - 2:21pm
m.m.8607's picture
Offline
Joined: Sep 2011
Posts: 101
Kudos: 0

no one? lucky guys...

support (i wrote a ticket) is out of office and i'm stuck with a nacked atv2.

 

  December 24, 2012 - 4:11am
ricardo's picture
Offline
Joined: Nov 2011
Posts: 4
Kudos: 0

Yes, even if you have the software then it wont let you installed at again, so does this means that you can buy it but after experided you have to buy again ? shame on you guys........

 

 

  January 14, 2013 - 6:49am
rydahl's picture
Offline
Joined: Dec 2011
Posts: 13
Kudos: 0

I have the same issue. I have not been able to upgrade from within my ATV for months, and when I finally got around to reinstall I couldnt find the software I purchased just one year AND FOURS WEEKS ago... WTF?

Has this been resolved? Should I start a support ticket or do you dare to post an answer here?

Sincerely yours,

  January 14, 2013 - 7:36am
ricardo's picture
Offline
Joined: Nov 2011
Posts: 4
Kudos: 0

send them a support ticket, support fixed mine.

  January 15, 2013 - 8:11pm
charlesj.6381's picture
Offline
Joined: Aug 2011
Posts: 5
Kudos: 0

WE ARE NOT HAPPY!!'

AZmac7

  February 16, 2013 - 6:51am
zaeng's picture
Offline
Joined: Nov 2011
Posts: 3
Kudos: 0

Same problem here. No solution yet although ticket and reply. 

Is this a company of fraud ?  The old versions do not allow installation w or w/o Internet although I paid it. 

In this case everybody should be advised against firecore....

 

  February 16, 2013 - 8:00am
Case_Sensitive's picture
Offline
Joined: Nov 2011
Posts: 3
Kudos: 0

I had the same issue today, I bought aTV flash very early, and now my license has expired!  I should be allowed to download the latest version my license covered me for.  Granted it'd be better if I had a local backup, but my backup disk broke, so I'm at the mercy of the decency of Firecore to provide me with an old link.

I wouldn't expect lifetime free updates, but I should be allowed to get my old copy forever.  

I have logged a support ticket:

42181 My license expired a few weeks ago, but I should be allowed to redownload something I've paid for!

 

 

  February 16, 2013 - 9:50am
Case_Sensitive's picture
Offline
Joined: Nov 2011
Posts: 3
Kudos: 0

I can confirm that my support ticket was actioned, within a few hours, they've given me a download link, which I'll be saving to dropbox as well as my own disks.

Log a ticket, they'll sort you out, top marks.

  February 17, 2013 - 8:38am
ricardo's picture
Offline
Joined: Nov 2011
Posts: 4
Kudos: 0

Hi Guys, bad news....

i did also received a new link, and at worked only we all know that with an apple tv you are always testing and jailbraking. So I did and wanted to install version 2,0 once again and guess what....!!!!software is outdated and can not install it again....Why guys ??? please fix this i payed for a license and i want to install again the version I bought do not care for a new version i just want what I payed for.

cheers Ricardo

  April 24, 2013 - 9:51am
m.m.8607's picture
Offline
Joined: Sep 2011
Posts: 101
Kudos: 0

Hi,

today I've got some time to summarize my experience on the conversation, I had with the FC-support:

The user can use the bought/licensed software as long as he wants it, while the software is installed on the ATV.

If the Software won't work anymore for any reason, or the ATV dies and the user wants to install the software again, the software needs to be licensed. If the license is (still) valid, the user can download a newer version without no hassle. If the license had discontinued, the user cannot install an older version, because of compability issues.

This is, what I understand from the conversation: I'm invited to buy/license new versions of the software so they can continue working on new/better versions of the software. I'm fine with that, because if I want/need new features for new hardware, I need to be sure, somebody got paid for doing the work. So I pay.

I'm not fine with being forced to pay for new version which I do not need. Thats the case, when the software stops working or needs to be reinstalled because of all the problems we know can happen to software on its hardware...(We are all human, so we all make mistakes which we call bugs).

So, as I'm fine with paying for new features and somehow the development/evolution of software, I'm not fine for paying for eliminating the bugs, which are not part of the acquisition. My money works, so I expect the software to. Again, we are all human and therefore I accept some bugs, like I accept to re-install the software to minimize or locate the buggy behaviour. fortunately for the software developing team, the users report their bugs (and feature requests too) so they can fix them. this should be a win-win situation. Should...

When I'm forced to pay for a new licence, just because my licencetime is over, not because I'm using a newer hardware, or I'd like to have some new awesome features, only because the automatic online-check tells me so, there cannot be a win-win situation... I call this a rip-off.

To be clear: I don't accuse FC for a rip-off, but I feel ripped-off.

To give anybody a chance to get his own opinion on this thread, I paste the conversation with the support, which I think, I can do in their own forum, because it does not contain any personal data like names.

 

support:

Hi, as a courtesy you can use the links below to download the latest version. To ensure you continue to receive software updates I'd recommend taking advantage of the update special available in your account.

 

me:

Hi and thanks for the links.

Would you please tell me, why this is a "courtesy" ?

I bought the Software form you with real money, why should I not be able to use it anymore?

I'd be really interested in that point, so please tell me which part of your general terms and conditions I missed or missunderstood.

 

support:

Hi, your order was actually for a 1 year license of aTV Flash (black) which expired in September 2012. This won't affect how aTV Flash (black) works on your Apple TV, but it will normally prevent you from getting future updates, such as the 2.0 and later versions (as shown here: http://firecore.com/atvflash-black-changelog).

Hope this helps.

 

me:

Hi, no, it not really helped me,
because I asked for the software (last version I could have downloaded from your site, while my license was still active) which i bought from you, not the one you giving me as a coutesy.

as far as i could see, it is not possible to use older (but still bought) versions of this software because of your online-update-enforcement, which the user cannot skip. so its not possible to use this bought software if a newer version exists on your server.

I guess, but don't know, so please let me know, if I want to install the version I received as a coutesy in, say, half a year, it will not be possible, because of the online check.
So I'm having the same issue/problem again.
Paid for software, which I cannot use anymore, althought the hardware did'nt changed.

Can you please clarify this for me, so I can be sure to be able to use the software I bought from you, when I'd like to use it. No matter if its the year 2013 or 2016.

If you have written in your conditions that after my licence period stopped, I'm not able to use the software anymore, please show me where, so I can read it again, because I can't remember reading something like this when I bought the software.

 

support:

Hi, older versions are deactivated for a few reasons, but the main one is compatibility. If you were to install a version prior to 2.1 on iOS 6 based Apple TVs, it could result in some very serious problems. Version 2.2 is compatible with iOS 6, as well as backward compatible with all previous versions.

 

me:

hi,
you don't answer to my question!
please answer to my question.
cheers,

 

support:

Hi, sorry for the confusion, but due to compatibility there is no way to ensure the current build will work again in 1 month or 1 year. It strictly depends on what features/changes Apple decides to release in future versions.

With that said, your copy of aTV Flash (black) will never stop working for as long as you have it installed, even if your license has expired.

 

End Of Conversation

  April 24, 2013 - 1:18pm
zaeng's picture
Offline
Joined: Nov 2011
Posts: 3
Kudos: 0

The question is, why firecore does not use the normal way to distribute. If they sell a software without a time limit, the software must work and must allow installing every time. Otherwise the should sell only a licence for e.g. one year. Then this trouble would not take place. 

Everybody is allowed to buy a OS 9 and can install it. If I want I buy an update - but without a update there is also no additional limit to install old OS-Version. No reason for Firecore to go wrong ways....

  January 5, 2014 - 11:53am
leroidunoir's picture
Offline
Joined: Dec 2011
Posts: 1
Kudos: 0

hello there, i have the same problem here. i would like to have a refund if i cant get my atv working with infuse again. i wanted to upgrade to 5. ish versions of atv firmware because of cool new features, but if i cant do so i would love to go back to my older firmware version with the software o bought from u guys and be happy again. now i have my atv stuk with some plane atv software. please help.

i was happy with your software, today im not, and i need a solution. i want to use the software i payed for. 

 

thank u much

  November 8, 2014 - 3:34pm
samulik's picture
Offline
Joined: Dec 2011
Posts: 4
Kudos: 0

I just upgraded my firmware to 5.3 because Netflix stopped working with 5.2. I then realized that I needed to re-install aTV Flash. I logged in to the FireCore site and was told to pay 30$ for the software that I was happily using 30 minutes before Frown This seems unfair and makes me sad.

The focus of FireCore seems to be on developing the iOS version of Infuse and the last significant updates to aTV Flash were about a year ago. So it doesn't seem like there will be many updates to aTV Flash in the future and Netflix or any other feature of my Apple TV might stop working even if I paid for aTV Flash again since Seas0nPass hasn't been making much progress lately. I'll just have to start using the stock firmware and forget about aTV Flash.

It was fun while it lasted.

  September 18, 2016 - 1:06pm
puff08's picture
Offline
Joined: Nov 2014
Posts: 1
Kudos: 0

Incredible not to be able to any more used a bought software it is a shame I shall not trust any more this kind(genre) of swindle which encourages consumption

Lois